## ksystemstats 6.5.1

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 David Edmundson <davidedmundson@kde.org>
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>

include(ECMAddTests)

set(SOURCES
    main.cpp
    ../src/debug.cpp
)

ecm_add_test(
    ${SOURCES}
    TEST_NAME ksystemstatstest
    LINK_LIBRARIES Qt::Test ksystemstats_core
)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <davidedmundson@kde.org>
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

set(SOURCES
    client.cpp
    daemon.cpp
)

find_file(SYSTEMSTATS_DBUS_INTERFACE NAMES dbus-1/interfaces/org.kde.ksystemstats1.xml HINTS ${KDE_INSTALL_FULL_DATADIR} PATH_SUFFIXES ${KDE_INSTALL_DATADIR})
qt_add_dbus_adaptor(SOURCES ${SYSTEMSTATS_DBUS_INTERFACE} daemon.h Daemon)

add_library(ksystemstats_core STATIC ${SOURCES})
target_link_libraries(ksystemstats_core PUBLIC Qt::Core Qt::DBus KF6::CoreAddons KF6::Crash KSysGuard::SystemStats)

add_executable(ksystemstats main.cpp)
target_link_libraries(ksystemstats ksystemstats_core)

install(TARGETS ksystemstats DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_dbus_service_file(
    NAME org.kde.ksystemstats1
    EXECUTABLE "${KDE_INSTALL_FULL_BINDIR}/ksystemstats"
    SYSTEMD_SERVICE plasma-ksystemstats.service
    DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
)

ecm_install_configured_files(
   INPUT plasma-ksystemstats.service.in
   DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)

ecm_qt_declare_logging_category(ksystemstats HEADER debug.h
    IDENTIFIER KSYSTEMSTATS_DAEMON
    CATEGORY_NAME org.kde.ksystemstats.daemon
    DESCRIPTION "KSystemStats Daemon"
    EXPORT KSYSTEMSTATS
)

=== plugins/gpu/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>

add_library(ksystemstats_plugin_gpu MODULE GpuPlugin.cpp GpuBackend.cpp GpuDevice.cpp AllGpus.cpp)
target_link_libraries(ksystemstats_plugin_gpu Qt::Core KF6::CoreAddons KF6::I18n KSysGuard::SystemStats UDev::UDev)

if(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    target_link_libraries(ksystemstats_plugin_gpu ${DEVINFO_LIBRARIES})
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    target_sources(ksystemstats_plugin_gpu PRIVATE LinuxAmdGpu.cpp LinuxIntelGpu.cpp LinuxNvidiaGpu.cpp LinuxBackend.cpp NvidiaGpu.cpp NvidiaSmiProcess.cpp)

    add_executable(ksystemstats_intel_helper IntelHelper.cpp)
    configure_file(IntelHelperLocation.h.cmake IntelHelperLocation.h)
    install(TARGETS ksystemstats_intel_helper DESTINATION ${KDE_INSTALL_LIBEXECDIR})

    if (Libcap_FOUND)
        install(
            CODE "execute_process(
            COMMAND ${SETCAP_EXECUTABLE}
            CAP_PERFMON=+ep
            \$ENV{DESTDIR}${KDE_INSTALL_FULL_LIBEXECDIR}/ksystemstats_intel_helper)"
        )
    endif()
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    target_sources(ksystemstats_plugin_gpu PRIVATE FreeBSDBackend.cpp FreeBSDNvidiaGpu.cpp NvidiaGpu.cpp NvidiaSmiProcess.cpp)
endif()

if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()

ecm_qt_declare_logging_category(ksystemstats_plugin_gpu HEADER debug.h
    IDENTIFIER KSYSTEMSTATS_GPU
    CATEGORY_NAME org.kde.ksystemstats.gpu
    DESCRIPTION "KSystemStats GPU Plugin"
    EXPORT KSYSTEMSTATS
)

install(TARGETS ksystemstats_plugin_gpu DESTINATION ${KSYSTEMSTATS_PLUGIN_INSTALL_DIR})

=== plugins/lmsensors/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2021 David Redondo <kde@david-redondo.de>

add_library(ksystemstats_plugin_lmsensors MODULE lmsensors.cpp)

target_link_libraries(ksystemstats_plugin_lmsensors PRIVATE Qt::Core KF6::CoreAddons KF6::I18n KSysGuard::SystemStats)

install(TARGETS ksystemstats_plugin_lmsensors DESTINATION ${KSYSTEMSTATS_PLUGIN_INSTALL_DIR})

=== plugins/network/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 David Redondo <kde@david-redondo.de>
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-FileCopyrightText: 2021 Alessio Bonfiglio <alessio.bonfiglio@mail.polimi.it>

set(KSYSGUARD_NETWORK_PLUGIN_SOURCES
    NetworkPlugin.cpp
    NetworkDevice.cpp
    NetworkBackend.cpp
    AllDevicesObject.cpp
)

if (KF6NetworkManagerQt_FOUND)
    set(KSYSGUARD_NETWORK_PLUGIN_SOURCES ${KSYSGUARD_NETWORK_PLUGIN_SOURCES} NetworkManagerBackend.cpp)
    add_definitions(-DNETWORKMANAGER_FOUND)
endif()

add_library(ksystemstats_plugin_network MODULE ${KSYSGUARD_NETWORK_PLUGIN_SOURCES})
target_link_libraries(ksystemstats_plugin_network PRIVATE Qt::Core Qt::Gui Qt::DBus KF6::CoreAddons KF6::I18n KSysGuard::SystemStats)

if (KF6NetworkManagerQt_FOUND)
    target_link_libraries(ksystemstats_plugin_network PRIVATE KF6::NetworkManagerQt)
endif()
if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    target_sources(ksystemstats_plugin_network PRIVATE RtNetlinkBackend.cpp)
    target_link_libraries(ksystemstats_plugin_network PRIVATE ${NL_LIBRARIES} Qt::Network)
    target_include_directories(ksystemstats_plugin_network PRIVATE ${NL_INCLUDE_DIRS})
endif()

ecm_qt_declare_logging_category(ksystemstats_plugin_network HEADER debug.h
    IDENTIFIER KSYSTEMSTATS_NETWORK
    CATEGORY_NAME org.kde.ksystemstats.network
    DESCRIPTION "KSystemStats Network Plugin"
    EXPORT KSYSTEMSTATS
)

install(TARGETS ksystemstats_plugin_network DESTINATION ${KSYSTEMSTATS_PLUGIN_INSTALL_DIR})

=== plugins/pressure/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2023 Adrian Edwards <adrian@adriancedwards.com>

add_library(ksystemstats_plugin_pressure MODULE pressure.cpp)
target_link_libraries(ksystemstats_plugin_pressure Qt::Core Qt::Gui KF6::CoreAddons KF6::I18n KSysGuard::SystemStats)

ecm_qt_declare_logging_category(ksystemstats_plugin_pressure
    HEADER pressure_logging.h
    IDENTIFIER KSYSTEMSTATS_PRESSURE
    CATEGORY_NAME org.kde.ksystemstats.plugins.pressure
    DESCRIPTION "ksystemstats pressure plugin"
	DEFAULT_SEVERITY Warning
    EXPORT KSYSTEMSTATS_PRESSURE
)


install(TARGETS ksystemstats_plugin_pressure DESTINATION ${KSYSTEMSTATS_PLUGIN_INSTALL_DIR})

=== debian/changelog ===
ksystemstats (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:14:47 +0100

=== debian/control ===
Source: ksystemstats
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcap-dev [linux-any],
               libdrm-dev,
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~) [linux-any],
               libkf6solid-dev (>= 6.18.0~),
               libksysguard-dev (>= 4:6.5.1~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libsensors-dev [linux-any],
               libudev-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemstats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemstats.git

Package: ksystemstats
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80),
Replaces: ksysguard (<< 4:5.21.80),
Description: plugin based system monitoring daemon
 KSystemStats is a daemon that collects statistics about the running system.

## ksystemstats 6.5.1+p24.04+vstable+git20251029.0656

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>

cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.5.2")
project(ksystemstats VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.5.1")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(CheckIncludeFiles)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMAddTests)
include(ECMInstallIcons)
include(FeatureSummary)
include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(ECMDeprecationSettings)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Test)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Solid KIO Crash)
find_package(KSysGuard ${PROJECT_DEP_VERSION} REQUIRED)

find_package(KF6NetworkManagerQt ${KF6_MIN_VERSION})
set_package_properties(KF6NetworkManagerQt PROPERTIES
    TYPE RECOMMENDED
    PURPOSE "Provides an improved backend for Network statistics"
)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)

ecm_setup_version(PROJECT VARIABLE_PREFIX KSYSTEMSTATS
                  VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h
                  )

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 6.12.0
)


set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    find_package(Sensors)
    set_package_properties(Sensors PROPERTIES
            TYPE REQUIRED
            PURPOSE "Used for reading hardware sensors that aren't covered by other plugins."
            URL "https://github.com/lm-sensors/lm-sensors"
        )

    find_package(NL)
    set_package_properties(NL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem and for the network plugin when NetworkManagerQt is not available."
        URL "https://github.com/thom311/libnl/"
    )
    find_package(Libcap)
    set_package_properties(Libcap PROPERTIES
        TYPE OPTIONAL
        PURPOSE "Needed for setting CAP_PERFMON of Intel GPU helper."
    )
endif()

if (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    find_package(Devinfo)
    set_package_properties(Devinfo PROPERTIES
            TYPE REQUIRED
            PURPOSE "Used for finding hardware devices. Part of the base system."
        )
endif()

find_package(UDev)
set_package_properties(
    UDev PROPERTIES
    TYPE RECOMMENDED
    PURPOSE "UDev is used for finding graphics cards."
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)
add_subdirectory(plugins)
add_subdirectory(tools/kstatsviewer)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ki18n_install(po)

ecm_qt_install_logging_categories(
    EXPORT KSYSTEMSTATS
    FILE ksystemstats.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ksystemstats (6.5.1+p24.04+vstable+git20251029.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:56:49 +0000

ksystemstats (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:46:48 +0000

## ksystemstats 6.5.1+p24.04+vstable+git20251031.0910

=== debian/changelog ===
ksystemstats (6.5.1+p24.04+vstable+git20251031.0910-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:10:46 +0000

## ksystemstats 6.5.2

=== plugins/memory/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 David Redondo <kde@david-redondo.de>
# SPDX-FileCopyrightText: 2021 Arjen Hiemstra <ahiemstra@heimr.nl>

if (CMAKE_SYSTEM_NAME STREQUAL "Linux" OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    add_library(ksystemstats_plugin_memory MODULE memory.cpp backend.cpp)

    if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
        target_sources(ksystemstats_plugin_memory PRIVATE linuxbackend.cpp)
    elseif(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
        target_sources(ksystemstats_plugin_memory PRIVATE freebsdbackend.cpp)
        target_link_libraries(ksystemstats_plugin_memory kvm)
    endif()

    target_link_libraries(ksystemstats_plugin_memory Qt::Core KF6::CoreAddons KF6::I18n KSysGuard::SystemStats)

    ecm_qt_declare_logging_category(ksystemstats_plugin_memory HEADER debug.h
    IDENTIFIER KSYSTEMSTATS_MEMORY
    CATEGORY_NAME org.kde.ksystemstats.memory
    DESCRIPTION "KSystemStats Memory Plugin"
    EXPORT KSYSTEMSTATS
)

    install(TARGETS ksystemstats_plugin_memory DESTINATION ${KSYSTEMSTATS_PLUGIN_INSTALL_DIR})
endif()

=== debian/changelog ===
ksystemstats (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:31:38 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6kio-dev (>= 6.18.0~),
                libkf6networkmanagerqt-dev (>= 6.18.0~) [linux-any],
                libkf6solid-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.1~),
+               libksysguard-dev (>= 4:6.5.2~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],

## ksystemstats 6.5.2+p24.04+vunstable+git20251113.0440

=== debian/changelog ===
ksystemstats (6.5.2+p24.04+vunstable+git20251113.0440-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 04:40:25 +0000

ksystemstats (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:16 +1000

## ksystemstats 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
ksystemstats (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:24:38 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6kio-dev (>= 6.18.0~),
                libkf6networkmanagerqt-dev (>= 6.18.0~) [linux-any],
                libkf6solid-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.2~),
+               libksysguard-dev (>= 4:6.5.3~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],

## ksystemstats 6.5.3+p24.04+vunstable+git20251123.0121

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
ksystemstats (6.5.3+p24.04+vunstable+git20251123.0121-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 01:21:13 +0000

ksystemstats (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:55 +1000

## ksystemstats 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
ksystemstats (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:52:16 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6kio-dev (>= 6.18.0~),
                libkf6networkmanagerqt-dev (>= 6.18.0~) [linux-any],
                libkf6solid-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.3~),
+               libksysguard-dev (>= 4:6.5.4~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],

## ksystemstats 6.5.4+p24.04+vstable+git20251231.0328

=== debian/changelog ===
ksystemstats (6.5.4+p24.04+vstable+git20251231.0328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:28:04 +0000

ksystemstats (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:10 +1000

## ksystemstats 6.5.4+p24.04+vstable+git20260103.0454

=== debian/changelog ===
ksystemstats (6.5.4+p24.04+vstable+git20260103.0454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:54:01 +0000

## ksystemstats 6.5.4+p24.04+vstable+git20260105.1044

=== debian/changelog ===
ksystemstats (6.5.4+p24.04+vstable+git20260105.1044-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:44:47 +0000

## ksystemstats 6.5.4+p24.04+vunstable+git20251209.1315

=== debian/changelog ===
ksystemstats (6.5.4+p24.04+vunstable+git20251209.1315-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 13:15:27 +0000

## ksystemstats 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
ksystemstats (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:55:32 +0000

ksystemstats (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:17:52 +0000

ksystemstats (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:07:19 +0000

ksystemstats (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:12:07 +0000

ksystemstats (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:46:21 +0000

ksystemstats (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:37:02 +0100

=== debian/control ===
Source: ksystemstats
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libdrm-dev,
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~) [linux-any],
               libkf6solid-dev (>= 6.18.0~),
               libksysguard-dev (>= 4:6.5.5~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libsensors-dev [linux-any],
               libudev-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemstats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemstats
Rules-Requires-Root: no

Package: ksystemstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libksysguard-bin,
Breaks: ksysguard (<< 4:5.21.80),
Replaces: ksysguard (<< 4:5.21.80),
Description: plugin based system monitoring daemon
 KSystemStats is a daemon that collects statistics about the running system.

## ksystemstats 6.5.5+p24.04+vstable+git20260130.0803

=== debian/changelog ===
ksystemstats (6.5.5+p24.04+vstable+git20260130.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:03:44 +0000

ksystemstats (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:42 +1000

## ksystemstats 6.5.5+p24.04+vstable+git20260131.1328

=== debian/changelog ===
ksystemstats (6.5.5+p24.04+vstable+git20260131.1328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:28:14 +0000

## ksystemstats 6.5.5+p24.04+vunstable+git20260131.0249

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

=== plugins/network/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,11 @@
 if (KF6NetworkManagerQt_FOUND)
     target_link_libraries(ksystemstats_plugin_network PRIVATE KF6::NetworkManagerQt)
 endif()
+
+if (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
+    target_sources(ksystemstats_plugin_network PRIVATE SysctlBackend.cpp)
+endif()
+
 if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     target_sources(ksystemstats_plugin_network PRIVATE RtNetlinkBackend.cpp)
     target_link_libraries(ksystemstats_plugin_network PRIVATE ${NL_LIBRARIES} Qt::Network)

=== debian/changelog ===
ksystemstats (6.5.5+p24.04+vunstable+git20260131.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:49:31 +0000

## ksystemstats 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
ksystemstats (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:13:48 +0000

ksystemstats (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:28:20 +0000

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,24 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                libcap-dev [linux-any],
                libcap2-bin [linux-any],
                libdrm-dev,
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6networkmanagerqt-dev (>= 6.18.0~) [linux-any],
-               libkf6solid-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.5~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6networkmanagerqt-dev (>= 6.22.0~) [linux-any],
+               libkf6solid-dev (>= 6.22.0~),
+               libksysguard-dev (>= 4:6.6.1~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],
                libudev-dev [linux-any],
                pkgconf,
-               qt6-base-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemstats

## ksystemstats 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 project(ksystemstats VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
ksystemstats (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:22:10 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6kio-dev (>= 6.22.0~),
                libkf6networkmanagerqt-dev (>= 6.22.0~) [linux-any],
                libkf6solid-dev (>= 6.22.0~),
-               libksysguard-dev (>= 4:6.6.1~),
+               libksysguard-dev (>= 4:6.6.2~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libsensors-dev [linux-any],
